PETSc version 3.15.5
Fix/Edit manual page

# PetscLogNestedBegin

Turns on nested logging of objects and events. This logs flop rates and object creation and should not slow programs down too much.

### Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogNestedBegin(void)

Logically Collective over PETSC_COMM_WORLD

### Options Database Keys

| -log_view :filename.xml:ascii_xml | - Prints an XML summary of flop and timing information to the file

### Usage

          PetscInitialize(...);
          PetscLogNestedBegin();
           ... code ...
          PetscLogView(viewer);
          PetscFinalize();

### See Also

PetscLogDump(), PetscLogAllBegin(), PetscLogView(), PetscLogTraceBegin(), PetscLogDefaultBegin()

### Level

advanced

### Location

src/sys/logging/xmllogevent.c

### Examples

src/snes/tutorials/ex1f.F90.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages